/* $Id: counter.h,v 2.1 1995/06/24 19:37:15 ssd Exp ssd $ */
/*  Copyright May, 1995 by Steven Dick <ssd@mae.engr.ucf.edu>
 *  Copy freely; send me e-mail so I can inform you of updates;
 *  let me know of any interesting changes you make.
 */


struct font_info {
  char *fontname;
  int x, y;
  int nbits;
  int *greymap;
  unsigned char *digits[10];
};

extern struct font_info FontList[];

/* DB_COUNT value format */
struct counter_stat {
  long count;			       /* total hits */
  long weekly;			       /* hits since last reset */
  long creation, lastaccess,lastreset; /* timestamps */
};

/* DB_URL value format
 *   count of keys
 *   list of [count] key lengths
 *   key strings...
 */
