/* $Id: fontlist.c,v 2.1 1995/06/24 19:37:15 ssd Exp ssd $ */
/*  Copyright May, 1995 by Steven Dick <ssd@mae.engr.ucf.edu>
 *  Copy freely; send me e-mail so I can inform you of updates;
 *  let me know of any interesting changes you make.
 */

#include "counter.h"
#include "odometer.h"
#include "digital.h"

#define font_entry(font) { \
    #font, font##_width, font##_height, font##_nbits, font##_greymap, \
    { font##0, font##1, font##2, font##3, font##4,\
    font##5, font##6, font##7, font##8, font##9 } }
			   

struct font_info FontList[] = {
  font_entry(odometer),
  font_entry(digital),
  { 0, 0, 0 }
};

