#!/usr/bin/perl
# $Id: image2c.pl,v 2.1 1995/06/24 19:37:15 ssd Exp ssd $

if ( $#ARGV < 1){
  die "Usage: image2c filename identifier\n";
}

$filename = shift @ARGV;
$ident = shift @ARGV;
if (@ARGV) {
  $converter = shift @ARGV;
}

open(D,$filename) || die "can't open $name: $!";
open(FC,">$ident.c") || die "couldn't open $ident.c: $!";
open(FH,">$ident.h") || die "couldn't open $ident.h: $!";

print FC "/* $ident font */\n\n";
print FH "/* $ident font */\n\n";

print FC "unsigned char $ident[] = {\n";
$tot = 0;
$m = read(D,$data, 1000);
while ($m>0) {
  $tot += $m;
  @x = unpack("C*",$data);
  while (@x){
    $s = "   ";
    while (length($s) < 75){
      $s .= splice(@x,0,1)+0 . ', ';
    }
    print FC $s,"\n";
  }
  $m = read(D,$data, 1000);
}
print FC "};\n";

print FH "extern unsigned char $ident[];\n#define ${ident}_size $tot\n";

close(FH);
close(FC);
